r474 - packages/nexuiz-data/trunk/debian

Bruno Fuddl-guestquot; Fuddl" Kleinert fuddl-guest at costa.debian.org
Wed Apr 12 18:29:30 UTC 2006


Author: fuddl-guest
Date: 2006-04-12 18:29:30 +0000 (Wed, 12 Apr 2006)
New Revision: 474

Added:
   packages/nexuiz-data/trunk/debian/PKG-GAMES_prepare.sh
Log:
added script to prepare build tree from upstream nexuiz-*.zip


Added: packages/nexuiz-data/trunk/debian/PKG-GAMES_prepare.sh
===================================================================
--- packages/nexuiz-data/trunk/debian/PKG-GAMES_prepare.sh	2006-04-12 16:54:12 UTC (rev 473)
+++ packages/nexuiz-data/trunk/debian/PKG-GAMES_prepare.sh	2006-04-12 18:29:30 UTC (rev 474)
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+ARCHIVE=nexuiz-15.zip
+
+if [ $# != 2 ]; then
+	echo "Usage: PKG-GAMES_prepare.sh <\"datapkg\"|\"dataoriggz\"> /path/to/nexuiz-15.zip"
+	exit 1
+fi
+
+if [ ! -f /usr/bin/unzip ]; then
+	echo "Please aptitude install unzip"
+	exit 1
+fi
+
+echo "Using $1/$ARCHIVE as source"
+
+mkdir ./tmp && cp "$2"/$ARCHIVE ./tmp && cd ./tmp && unzip ./$ARCHIVE && cd ..
+if [ "$?" != "0" ]; then
+	echo "Failed to get nexuiz-15.zip, bailing out..."
+	rm -rf ./tmp
+	exit 1;
+fi
+
+case "$1" in
+	datapkg)
+		cp -r ./tmp/Nexuiz/* ..
+		rm -rf ./tmp
+	;;
+	
+	dataoriggz)
+		mv ./tmp/Nexuiz ./tmp/nexuiz-data-1.5
+		cd ./tmp; tar -czf nexuiz-data_1.5.orig.tar.gz nexuiz-data-1.5; cd .. && mv ./tmp/*.orig.tar.gz $2
+		rm -rf ./tmp
+		echo "Created $2/nexuiz-data_1.5.orig.tar.gz"
+	;;
+esac
+
+exit 0


Property changes on: packages/nexuiz-data/trunk/debian/PKG-GAMES_prepare.sh
___________________________________________________________________
Name: svn:executable
   + *




More information about the Pkg-games-devel mailing list